1

Topic: The minimum version openGL for Qt 5.9.2?

Greetings I Write (oh for a long time I write.) The graphic program on . The 2d-schedule + some elements   openGL in the latent window, whence are then removed through a raster. On Qt3 all the circuit works perfectly - from XP to 10. On  too. At last,  on Qt 5.9.2. With openGL, clearly, it was necessary to rewrite operation, on wines 10 all work norms. On rather fresh . ** problems ** Tried to launch the qt5-version on old  (thinkpad t60p with ATI FireGL V5250, win 7 64bit).  from Qt (contextinfo) writes that version OpenGL 2.1. But openGL does not work anywhere - neither in my program, nor in examples Qt (ALL - from legacy to QML). Everywhere same - the opengl-window fixes a piece of a raster of a desktop under itself, at change of the sizes - traces from the frame, i.e. the scene is not deduced. Usage old openGL for legacy and the code set call QCoreApplication:: setAttribute (Qt:: AA_UseDesktopOpenGL) in main. Remaining examples do not work "from a box". Error messages in console Creator any are not present. To documentation write (http://doc.qt.io/qt-5/windows-requirements.html) that For Qt Quick 2 to work, a graphics driver that provides OpenGL 2.1 or higher is required. Thus the version on qt3 works on this computer normally. Yes, it is possible to be strained and make more  the driver from  catalyst 10.2 (the subject is known in t-community), can and earns. But current position strains me a little. Clients have old enough machines and problems are rather probable. Actually, a question. It is local  a trouble and the correct driver with support opengl 2.1 solves a problem? Or actually higher version opengl is required? Or...?

2

Re: The minimum version openGL for Qt 5.9.2?

xcs> Actually, a question. xcs> it is local  a trouble and the correct driver with support opengl 2.1 solves a problem? xcs> or actually higher version opengl is required? xcs> Or...? Try  qt under itself with a key "desktop" (-opengl desktop) or to find the approaching

3

Re: The minimum version openGL for Qt 5.9.2?

I> Try  qt under itself with a key "desktop" (-opengl desktop) I> or to find approaching In 5.9 it is possible dynamic  this or that implementation opengl by exhibiting of appropriate attribute QApplication. A problem, seemingly, nevertheless in the driver. For the sake of interest delivered 5.6.3 - the same, and Creator hangs on start. In 5.9.2 Creator hangs only at discovery in the editor qml ui. On flight council decided to hammer. There is an old working version.